Bug 1957386 - Config serve and validate command should be under alpha
Summary: Config serve and validate command should be under alpha
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Vu Dinh
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-05 17:45 UTC by Vu Dinh
Modified: 2021-07-27 23:07 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:06:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift operator-framework-olm pull 71 0 None open Bug 1957386: Move config serve and validate to opm alpha 2021-05-05 17:47:19 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:07:12 UTC

Description Vu Dinh 2021-05-05 17:45:27 UTC
Description of problem:
The serve and validate command for declarative config is currently under the opm root. However, those two commands are not production-ready and still under development so they should be under opm alpha instead.

Version-Release number of selected component (if applicable):
4.8

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jian Zhang 2021-05-06 03:45:28 UTC
[root@preserve-olm-env operator-framework-olm]# ./bin/opm version
Version: version.Version{OpmVersion:"24d0123", GitCommit:"24d012397dabf9815f8b3d6c968e5a3e091cca6c", BuildDate:"2021-05-06T03:39:36Z", GoOs:"linux", GoArch:"amd64"}

The two commands(serve, validate) have been migrated to `alpha`. LGTM, verify it.
[root@preserve-olm-env operator-framework-olm]# ./bin/opm --help
CLI to interact with operator-registry and build indexes of operator content

Usage:
  opm [command]

Available Commands:
  help        Help about any command
  index       generate operator index container images
  registry    interact with operator-registry database
  version     Print the opm version
...

[root@preserve-olm-env operator-framework-olm]# ./bin/opm alpha --help
Run an alpha subcommand

Usage:
  opm alpha [command]

Available Commands:
  bundle      Operator bundle commands
  serve       serve declarative configs
  validate    Validate the declarative index config

[root@preserve-olm-env operator-framework-olm]# ./bin/opm alpha serve --help
serve declarative configs via grpc

Usage:
  opm alpha serve <source_path> [flags]

Flags:
      --debug                    enable debug logging
  -h, --help                     help for serve
  -p, --port string              port number to serve on (default "50051")
  -t, --termination-log string   path to a container termination log file (default "/dev/termination-log")

Global Flags:
      --skip-tls   skip TLS certificate verification for container image registries while pulling bundles or index
[root@preserve-olm-env operator-framework-olm]# ./bin/opm alpha validate --help
Validate the declarative config JSON file(s) in a given directory

Usage:
  opm alpha validate <directory> [flags]

Flags:
  -d, --debug   enable debug log output
  -h, --help    help for validate

Global Flags:
      --skip-tls   skip TLS certificate verification for container image registries while pulling bundles or index

Comment 5 errata-xmlrpc 2021-07-27 23:06:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.